%global debug_package %{nil}

%global collection_namespace redhat
%global collection_name satellite_operations
%global collection_directory %{_datadir}/ansible/collections/ansible_collections/%{collection_namespace}/%{collection_name}

%global release 1

Name:       ansible-collection-%{collection_namespace}-%{collection_name}
Version:    1.2.3
Release:    %{?prerelease:0.}%{release}%{?prerelease}%{?nightly}%{?dist}
Summary:    Red Hat Satellite Ansible operations collection

License:    GPLv3+
URL:        https://github.com/RedHatSatellite/satellite-operations-collection
Source0:    https://github.com/RedHatSatellite/satellite-operations-collection/releases/download/v%{version}/%{collection_namespace}-%{collection_name}-%{version}.tar.gz
BuildArch:  noarch

Provides: ansible-collection(%{collection_namespace}.%{collection_name}) = %{version}
%if 0%{?rhel} == 7
Requires: ansible >= 2.9
%else
Requires: (ansible >= 2.9 or ansible-core)
%endif

%description
Ansible assets for managing Satellite operations such as install, upgrade or maintenance tasks.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{collection_directory}
cp -a ./* %{buildroot}%{collection_directory}

%files
%{collection_directory}/
%license %{collection_directory}/LICENSE
%doc %{collection_directory}/README.md

%changelog
* Wed Jun 15 2022 Evgeni Golov - 1.2.3-1
- Release ansible-collection-redhat-satellite_operations 1.2.3

* Thu Jun 09 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.2.2-1
- Release 1.2.2

* Mon May 23 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.2.1-1
- Release 1.2.1

* Tue May 17 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.2.0-1
- Release 1.2.0

* Mon May 09 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.1.1-1
- Release ansible-collection-redhat-satellite_operations 1.1.1

* Mon May 02 2022 Evgeni Golov - 1.1.0-2
- Support ansible-core 2.12

* Tue Apr 26 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.1.0-1
- Release ansible-collection-redhat-satellite_operations 1.1.0

* Wed May 26 2021 Eric Helms - 0.3.2-1
- Initial package
